Calendar Connections V4
Delete calendar connection
Remove a calendar connection. This will stop syncing calendar data and remove all associated calendar information.
DELETE
/
v4
/
calendar-connections
/
connections
/
{connectionId}
Delete calendar connection
curl --request DELETE \
--url https://api.example.com/v4/calendar-connections/connections/{connectionId} \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/v4/calendar-connections/connections/{connectionId}"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/v4/calendar-connections/connections/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
Unique identifier of the calendar connection
Example:
"conn-uuid"
Query Parameters
User ID that owns the connection (admin only)
Example:
"user-uuid"
Response
Connection deleted successfully
⌘I
Delete calendar connection
